### Method

# Soup Logger set_request_filter

#### Declaration [src]

    void
    soup_logger_set_request_filter (
      SoupLogger* logger,
      SoupLoggerFilter request_filter,
      gpointer filter_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets up a filter to determine the log level for a given request.

For each HTTP request `logger` will invoke `request_filter` to determine how much (if any) of that request to log. (If you do not set a request filter, `logger` will just always log requests at the level passed to `soup_logger_new()`.)

#### Parameters

`request_filter` | `SoupLoggerFilter`
| The callback for request debugging.
`filter_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`destroy` | `GDestroyNotify`
| A `GDestroyNotify` to free `filter_data`.